C1541(1)

NAME
c1541 - a stand alone disk image maintenance program

SYNOPSIS
c1541 [options] [image]

DESCRIPTION
c1541 is a stand alone program that can be used for D64, D71, D81, X64 and G64 disk image file maintenance. It is part of the VICE emulator.

c1541 can be used both in interactive and batch mode. It will start in interactive mode if no images and no options are specified or if one image is specified; when started in interactive mode, command line editing and command history are available.

Each command line option for use in batch mode has an interactive mode counterpart, that is shown in parenthesis.

-@ command
    execute CBM DOS command

-attach image (attach image)
    attach image for use. All consequent commands in interactive mode will refer to this image.

-block track sector [offset] [unit] (block track sector [offset] [unit])
    show disk blocks in hex format.

-copy image oldname1 [oldname2...] newname (copy oldname1 [oldname2...] newname)
    concatenate oldname1, oldname2... into newname on image (can be used to copy files).

-delete image files... (delete files...)
    delete files from image

-dir [pattern] (dir [pattern])
    list directory. See the list command for details.

-extract image (extract image)
    extract all files from image.

-format image (format image 'name,id')
    format the disk image image with the specified label. image is created if it does not exist.

-geosextract source (geosextract source)
    extract all the files to the file system and GEOS Convert them.

-geosread source [destination] (geosread source [destination])
    read GEOS source from the disk image and copy it as a Convert file into destination in the file system. If destination is not specified, copy it into a file with the same name as source.

-geoswrite source (geoswrite source)
    write GEOS Convert file source from the file system on a disk image.

-help [command] (help)
    show help on all commands or more detailed help on a specific command

-info image [unit] (info [unit])
    show information about image (format, geometry, error-block, write-protect)

-list [pattern] (list)
    list directory. The optional pattern accepts the usual CBM DOS wildcards (* and ?) and also supports file type selection with '=X', where X is one of S, P, U or R. Multiple sub patterns can be specified by using comma's.

-name diskname[,id] [unit] (name diskname[,id] [unit])
    set diskname and optionally id.

-p00save enable [unit] (p00save enable [unit)
    save P00 files to the file system.

-read image 1541name [fsname] (read 1541name [fsname])
    extract 1541name from the disk image into fsname (1541name by default) from image.

-rename oldname newname (rename oldname newname)
    rename files. The files must be on the same drive.

-show 'copying'|'warranty' (show 'copying'|'warranty')
    show license or warranty information.

-tape image tapeimage [files...] (tape image tapeimage [files...])
    transfer files from tapeimage to image (default is all files).

-unlynx archive [unit] (unlynx archive [unit])
    dissolve Lynx archive.

-validate image (validate)
    validate mage.

-verbose [off] (verbose [off])
    set verbose mode. Output extra logging information, disable with verbose off.

-write image fsname [1541name] (write fsname [1541name])
    write fsname to image as 1541name (fsname by default). (works with P00 files as well).

When more than one command is specified in batch mode, all of them are executed in the same order they have on the command line.

If you use - as a file name, it stands for stdin or stdout.

Exit interactive mode with either exit or quit.

SEE ALSO
VICE(1), cartconv(1), petcat(1)

AUTHORS
Teemu Rantanen <tvr@cs.hut.fi>
Ettore Perazzoli <ettore@comm2000.it>
Andreas Boose <boose@linux.rz.fh-hannover.de>
Jouko Valta <jopi@stekt.oulu.fi>

with improvements by

Olaf Seibert <rhialto@mbfys.kun.nl>
Gerhard Wesp <gwesp@cosy.sbg.ac.at>